## Documentation

### Infrastructure

1. Serveur VPN hébergé chez Hetzner qui agit comme proxy et redirige le trafic entrant vers les serveurs RésiLien correspondants
    - Matériel : CX11
    - Logiciel : Debian
    - Niveau d'accès : à distance + utilisateur root
    - Localisation : Nuremberg, Allemagne
3. Serveurs Weko hébergeant les données et services
    - Matériel : Raspberry Pi 4 et Intel NUC
    - Logiciel : Debian
    - Niveau d'accès : physique + utilisateur root
    - Localisation : Crémeaux, France
4. Stockage Scaleway (Object Storage compatible S3) hébergeant les sauvegardes chiffrées
    - Matériel : infogéré par Scaleway
    - Logiciel : propriétaire compatible protocole S3
    - Niveau d'accès : utilisateur normal
    - Localisation : Paris, France

### Déploiement des services

- Les services web sont déployés dans des conteneurs Docker.
- Les serveurs et services web sont installés via Ansible.
- Les déploiements Ansible sont effectués manuellement pour les mises à jour et pour l'ajout de nouvelles machines.
